de.esprit.common.clp

## Class OptionOutFile

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.clp.CommandLineOption<java.io.File>
    - - de.esprit.common.clp.AbstractPathOption
      - - de.esprit.common.clp.AbstractFileOption
        - - de.esprit.common.clp.OptionOutFile

- All Implemented Interfaces:
    Dumpable

      public class OptionOutFile
      extends AbstractFileOption

  This class defines the option -outfile. The argument file is created as needed.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionOutFile()`
    `OptionOutFile(boolean isMandatory)`
    `OptionOutFile(java.lang.String argName, java.lang.String helpText, boolean isMandatory)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.clp.AbstractFileOption

      `checkValue`

    - ### Methods inherited from class de.esprit.common.clp.AbstractPathOption

      `getValue, isMustExist, parseValue, setMustExist`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineOption

      `equals, getArgumentName, getDefaultValue, getEnvVariableName, getEnvVariableValue, getHelpText, getOption, getOptionAndArgument, getStringValue, hasArgument, hashCode, isMandatory, isPrintHelp, isPrintSyntax, isSecret, isValueTakenFromEnvVariable, parseDefaultValue, parseValue, setDefaultValue, setEnvVariableName, setFound, setHelpText, setMandatory, setPrintHelp, setPrintSyntax, setSecret, setStringValue, toDumpString, toString, wasFound`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionOutFile

          public OptionOutFile()

    - #### OptionOutFile

          public OptionOutFile(boolean isMandatory)

    - #### OptionOutFile

          public OptionOutFile(java.lang.String argName,
                       java.lang.String helpText,
                       boolean isMandatory)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.